if(!isObject(ColorSetGui_Favs)) {
	exec("./ColorSetGui_Favs.gui");
	ColorSetGui.getObject(0).add(ColorSetGui_Favs);
}

package AvatarColorFavs {
	function ColorSetGui::onWake(%this) {
		Parent::onWake(%this);
		ColorSetGui.updateFavButtons ();
		AVC_FavsHelper.setVisible (0);
	}
	function ColorSetGui::updateFavButtons ()
	{
		for (%i = 0; %i < 10; %i++)
		{
			%filename = "config/client/AvatarColorFavorites/" @ %i @ ".cs";
			if (isFile (%filename))
			{
				eval ("AvatarColor_FavButton" @ %i @ ".setColor(\"1 1 1 1\");");
			}
			else 
			{
				eval ("AvatarColor_FavButton" @ %i @ ".setColor(\"1 1 1 0.5\");");
			}
		}
	} 

	function ColorSetGui::clickSetFavs (%this)
	{
		AVC_FavsHelper.setVisible (!AVC_FavsHelper.isVisible ());
	}

	function ColorSetGui::ClickFav (%this, %idx)
	{
		%idx = mFloor (%idx);
		%filename = "config/client/AvatarColorFavorites/" @ %idx @ ".cs";
		if (AVC_FavsHelper.isVisible ())
		{
			export ("$Avatar::*", %filename, 0);
			AVC_FavsHelper.setVisible (0);
			ColorSetGui::updateFavButtons ();
		}
		else 
		{
			if (!isFile (%filename))
			{
				return;
			}
			deleteVariables ("$Avatar::*");
			exec (%filename);
			%this.Display ();
		}
		AvatarGui.updateFavButtons ();
	}
};
activatePackage("AvatarColorFavs");